Login
Newsletter
Werbung

Sicherheit: Mehrere Probleme in gimp
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in gimp
ID: SUSE-SU-2021:0014-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Workstation Extension 15-SP1
Datum: Mo, 4. Januar 2021, 23:28
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17786
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17784
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-17785
Applikationen: GIMP

Originalnachricht


SUSE Security Update: Security update for gimp
______________________________________________________________________________

Announcement ID: SUSE-SU-2021:0014-1
Rating: moderate
References: #1073624 #1073625 #1073626
Cross-References: CVE-2017-17784 CVE-2017-17785 CVE-2017-17786

Affected Products:
SUSE Linux Enterprise Workstation Extension 15-SP1
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

This update for gimp fixes the following issues:

- CVE-2017-17784: Fixed an insufficient string validation for input names
(bsc#1073624).
- CVE-2017-17785: Fixed an heap-based buffer overflow in FLI import
(bsc#1073625).
- CVE-2017-17786: Fixed an out-of-bounds read in TGA (bsc#1073626).


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Workstation Extension 15-SP1:

zypper in -t patch SUSE-SLE-Product-WE-15-SP1-2021-14=1



Package List:

- SUSE Linux Enterprise Workstation Extension 15-SP1 (x86_64):

gimp-2.8.22-5.11.2
gimp-debuginfo-2.8.22-5.11.2
gimp-debugsource-2.8.22-5.11.2
gimp-devel-2.8.22-5.11.2
gimp-devel-debuginfo-2.8.22-5.11.2
gimp-plugins-python-2.8.22-5.11.2
gimp-plugins-python-debuginfo-2.8.22-5.11.2
libgimp-2_0-0-2.8.22-5.11.2
libgimp-2_0-0-debuginfo-2.8.22-5.11.2
libgimpui-2_0-0-2.8.22-5.11.2
libgimpui-2_0-0-debuginfo-2.8.22-5.11.2

- SUSE Linux Enterprise Workstation Extension 15-SP1 (noarch):

gimp-lang-2.8.22-5.11.2


References:

https://www.suse.com/security/cve/CVE-2017-17784.html
https://www.suse.com/security/cve/CVE-2017-17785.html
https://www.suse.com/security/cve/CVE-2017-17786.html
https://bugzilla.suse.com/1073624
https://bugzilla.suse.com/1073625
https://bugzilla.suse.com/1073626
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung